/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: ValueTest.java 526062 2007-04-06 05:33:50Z byrne $
 */

package org.apache.xindice.core.data;

import junit.framework.TestCase;

/**
 * @version $Revision: 526062 $, $Date: 2007-04-06 01:33:50 -0400 (Fri, 06 Apr 2007) $
 * @author Vladimir R. Bossicard <vladimir@apache.org>
 */
public class ValueTest extends TestCase {

   public void testSuccessEquals() {
      assertEquals(new Value("value"), new Value("value"));
   }
   public void testHashCode() {
       assertTrue(new Value("fireworks").hashCode() == new Value("fireworks").hashCode());
       assertFalse(new Value("firecracker").hashCode() == new Value("fireworks").hashCode());
   }
   
}
