/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: MemValueIndexerTest.java 511408 2007-02-25 02:42:45Z vgritsenko $
 */
package org.apache.xindice.core.indexer;

/**
 * Tests MemValueIndexer
 *
 * @version $Revision: 511408 $, $Date: 2007-02-24 21:42:45 -0500 (Sat, 24 Feb 2007) $
 */
public class MemValueIndexerTest extends ValueIndexerTest {

    public MemValueIndexerTest(String name) {
        super(name);
        indexClass = "org.apache.xindice.core.indexer.MemValueIndexer";
    }
}
